%global enable_cvt 0

Name:      libxcvt
Version:   0.1.2
Release:   1
Summary:   VESA CVT standard timing modelines generator
License:   MIT
URL:       https://gitlab.freedesktop.org/xorg/lib/libxcvt/
Source0:   https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: meson

%description
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.

%package devel
Summary: Development package
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n cvt
Summary: Command line tool to calculate VESA CVT mode lines
Conflicts: xorg-x11-server-Xorg < 1.21

%description -n cvt
A standalone version of the command line tool cvt copied from the Xorg
implementation and is meant to be a direct replacement to the version
provided by the Xorg server.

%prep
%autosetup -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc COPYING
%{_libdir}/libxcvt.so.*

%files devel
%{_libdir}/pkgconfig/libxcvt.pc
%dir %{_includedir}/libxcvt
%{_includedir}/libxcvt/*.h
%{_libdir}/libxcvt.so

%files -n cvt
%{_bindir}/cvt
%{_mandir}/man1/cvt.1*

%changelog
* Fri Nov 17 2023 lwg <liweiganga@uniontech.com> - 0.1.2-1
- update to version 0.1.2

* Wed Jul 27 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.1.1-2
- remove cvt subpackage
- fix issue #I5J3LC

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.1.1-1
- Initial Packaging
